Subject: Re: [PATCH] mrf24j40: seperate mrf24j40 h/w init and add checkings

From: Alexander Aring <[email-masked]>
Date: Wed, 23 Apr 2014 16:00:09 +0200

Hi Alan,

On Wed, Apr 23, 2014 at 09:51:33AM -0400, Alan Ott wrote:
> On 04/23/2014 09:11 AM, Varka Bhadram wrote:
> >I followed the process that you mailed earlier, thnks for that.
> >
> >I am expecting the mail from Alan about the changes.
> 
> Hi Varka,
> 
> Is there a specific problem you're seeing? Typically in the kernel we expect
> the SPI controller to succeed for a couple reasons:
> 1. It's part of the basic, core functionality of a system. Checking for
> errors on SPI transfers is analogous to making sure RAM you wrote actually
> got written.
> 2. Most of the time an SPI failure is not something we can detect anyway.
> (disconnect one of the lines and see what you get).
> 3. The code to check for it just adds a lot of bloat without much measurable
> benefit.
> 
> I've read the above in the comments in other drivers, but I can't remember
> exactly where right now. There are plenty of examples in the kernel of SPI
> being done this way, as it seems to be accepted practice in the kernel.
> 
> If there is a specific issue that you're seeing, then let's talk about it,
> otherwise I'm going to NAK this change.
> 

if somebody hasn't a right spi configuration the probe function should
fail. Assumed that spi_sync will return a errno then.

- Alex